"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BitsLeaderboardPeriod = void 0;
/**
 * Get Bits Leaderboard
 * Extracted from https://dev.twitch.tv/docs/api/reference/#get-bits-leaderboard
 */
var BitsLeaderboardPeriod;
(function (BitsLeaderboardPeriod) {
    /**
     * A day spans from 00:00:00 on the day specified in `started_at` and runs through 00:00:00 of the next day.
     */
    BitsLeaderboardPeriod["Day"] = "day";
    /**
     * A week spans from 00:00:00 on the Monday of the week specified in `started_at` and runs through 00:00:00 of the next Monday.
     */
    BitsLeaderboardPeriod["Week"] = "week";
    /**
     * A month spans from 00:00:00 on the first day of the month specified in `started_at` and runs through 00:00:00 of the first day of the next month.
     */
    BitsLeaderboardPeriod["Month"] = "month";
    /**
     * A year spans from 00:00:00 on the first day of the year specified in `started_at` and runs through 00:00:00 of the first day of the next year.
     */
    BitsLeaderboardPeriod["Year"] = "year";
    /**
     * The lifetime of the broadcaster's channel.
     */
    BitsLeaderboardPeriod["All"] = "all";
})(BitsLeaderboardPeriod || (exports.BitsLeaderboardPeriod = BitsLeaderboardPeriod = {}));
//# sourceMappingURL=bits.js.map