"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.APIEndpoint = void 0;
const baseUrl = 'https://api.twitch.tv/helix';
var APIEndpoint;
(function (APIEndpoint) {
    // Ads
    /**
     * POST
     */
    APIEndpoint["StartCommercial"] = "https://api.twitch.tv/helix/channels/commercial";
    /**
     * GET
     */
    APIEndpoint["GetAdSchedule"] = "https://api.twitch.tv/helix/channels/ads";
    /**
     * POST
     */
    APIEndpoint["SnoozeNextAd"] = "https://api.twitch.tv/helix/channels/ads/schedule/snooze";
    // Analytics
    /**
     * GET
     */
    APIEndpoint["GetExtensionAnalytics"] = "https://api.twitch.tv/helix/analytics/extensions";
    /**
     * GET
     */
    APIEndpoint["GetGameAnalytics"] = "https://api.twitch.tv/helix/analytics/games";
    // Bits
    /**
     * GET
     */
    APIEndpoint["GetBitsLeaderboard"] = "https://api.twitch.tv/helix/bits/leaderboard";
    /**
     * GET
     */
    APIEndpoint["GetCheermotes"] = "https://api.twitch.tv/helix/bits/cheermotes";
    // Channels
    /**
     * GET
     */
    APIEndpoint["GetChannelInformation"] = "https://api.twitch.tv/helix/channels";
    /**
     * PATCH
     */
    APIEndpoint["ModifyChannelInformation"] = "https://api.twitch.tv/helix/channels";
    /**
     * GET
     */
    APIEndpoint["GetChannelEditors"] = "https://api.twitch.tv/helix/channels/editors";
    /**
     * GET
     */
    APIEndpoint["GetFollowedChannels"] = "https://api.twitch.tv/helix/channels/followed";
    /**
     * GET
     */
    APIEndpoint["GetChannelFollowers"] = "https://api.twitch.tv/helix/channels/followers";
    // Channel Points
    /**
     * POST
     */
    APIEndpoint["CreateCustomRewards"] = "https://api.twitch.tv/helix/channel_points/custom_rewards";
    /**
     * DELETE
     */
    APIEndpoint["DeleteCustomReward"] = "https://api.twitch.tv/helix/channel_points/custom_rewards";
    /**
     * GET
     */
    APIEndpoint["GetCustomReward"] = "https://api.twitch.tv/helix/channel_points/custom_rewards";
    /**
     * GET
     */
    APIEndpoint["GetCustomRewardRedemption"] = "https://api.twitch.tv/helix/channel_points/custom_rewards/redemptions";
    /**
     * PATCH
     */
    APIEndpoint["UpdateCustomReward"] = "https://api.twitch.tv/helix/channel_points/custom_rewards";
    /**
     * PATCH
     */
    APIEndpoint["UpdateRedemptionStatus"] = "https://api.twitch.tv/helix/channel_points/custom_rewards/redemptions";
    // Charity
    /**
     * GET
     */
    APIEndpoint["GetCharityCampaign"] = "https://api.twitch.tv/helix/charity/campaigns";
    /**
     * GET
     */
    APIEndpoint["GetCharityCampaignDonations"] = "https://api.twitch.tv/helix/charity/donations";
    // Moderation
    /**
     * POST
     */
    APIEndpoint["CheckAutoModStatus"] = "https://api.twitch.tv/helix/moderation/enforcements/status";
    /**
     * POST
     */
    APIEndpoint["ManageHeldAutoModMessages"] = "https://api.twitch.tv/helix/moderation/automod/message";
    /**
     * GET
     */
    APIEndpoint["GetAutoModSettings"] = "https://api.twitch.tv/helix/moderation/automod/settings";
    /**
     * PUT
     */
    APIEndpoint["UpdateAutoModSettings"] = "https://api.twitch.tv/helix/moderation/automod/settings";
    /**
     * GET
     */
    APIEndpoint["GetBannedUsers"] = "https://api.twitch.tv/helix/moderation/banned";
    /**
     * POST
     */
    APIEndpoint["BanUser"] = "https://api.twitch.tv/helix/moderation/bans";
    /**
     * DELETE
     */
    APIEndpoint["UnbanUser"] = "https://api.twitch.tv/helix/moderation/bans";
    /**
     * GET
     */
    APIEndpoint["GetBlockedTerms"] = "https://api.twitch.tv/helix/moderation/blocked_terms";
    /**
     * DELETE
     */
    APIEndpoint["RemoveBlockedTerms"] = "https://api.twitch.tv/helix/moderation/blocked_terms";
    /**
     * POST
     */
    APIEndpoint["AddBlockedTerms"] = "https://api.twitch.tv/helix/moderation/blocked_terms";
    /**
     * GET
     */
    APIEndpoint["GetModeratedChannels"] = "https://api.twitch.tv/helix/moderation/channels";
    /**
     * GET
     */
    APIEndpoint["GetModerators"] = "https://api.twitch.tv/helix/moderation/moderators";
    /**
     * POST
     */
    APIEndpoint["AddChannelModerator"] = "https://api.twitch.tv/helix/moderation/moderators";
    /**
     * DELETE
     */
    APIEndpoint["RemoveChannelModerator"] = "https://api.twitch.tv/helix/moderation/moderators";
    /**
     * GET
     */
    APIEndpoint["GetVIPs"] = "https://api.twitch.tv/helix/channels/vips";
    /**
     * POST
     */
    APIEndpoint["AddChannelVIP"] = "https://api.twitch.tv/helix/channels/vips";
    /**
     * DELETE
     */
    APIEndpoint["RemoveChannelVIP"] = "https://api.twitch.tv/helix/channels/vips";
    /**
     * PUT
     */
    APIEndpoint["UpdateShieldModeStatus"] = "https://api.twitch.tv/helix/moderation/shield_mode";
    /**
     * GET
     */
    APIEndpoint["GetShieldModeStatus"] = "https://api.twitch.tv/helix/moderation/shield_mode";
    // Users
    /**
     * GET
     */
    APIEndpoint["GetUsers"] = "https://api.twitch.tv/helix/users";
    /**
     * PUT
     */
    APIEndpoint["UpdateUser"] = "https://api.twitch.tv/helix/users";
    /**
     * GET
     */
    APIEndpoint["GetUserBlockList"] = "https://api.twitch.tv/helix/users/blocks";
    /**
     * PUT
     */
    APIEndpoint["BlockUser"] = "https://api.twitch.tv/helix/users/blocks";
    /**
     * DELETE
     */
    APIEndpoint["UnblockUser"] = "https://api.twitch.tv/helix/users/blocks";
})(APIEndpoint || (exports.APIEndpoint = APIEndpoint = {}));
//# sourceMappingURL=urls.js.map