"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BlockUserReason = exports.BlockUserSourceContext = exports.BroadcasterType = exports.UserType = void 0;
/**
 * The type of user.
 */
var UserType;
(function (UserType) {
    /**
     * Twitch Administrator
     */
    UserType["Admin"] = "admin";
    UserType["GlobalMod"] = "global_mod";
    /**
     * Twitch staff
     */
    UserType["Staff"] = "staff";
    /**
     * Normal user
     */
    UserType["Normal"] = "";
})(UserType || (exports.UserType = UserType = {}));
/**
 * The type of broadcaster.
 */
var BroadcasterType;
(function (BroadcasterType) {
    /**
     *  An [affiliate broadcaster](https://help.twitch.tv/s/article/joining-the-affiliate-program%20target=)
     */
    BroadcasterType["Affiliate"] = "affiliate";
    /**
     * A [partner broadcaster](https://help.twitch.tv/s/article/partner-program-overview)
     */
    BroadcasterType["Partner"] = "partner";
    /**
     * A normal broadcaster
     */
    BroadcasterType["Normal"] = "";
})(BroadcasterType || (exports.BroadcasterType = BroadcasterType = {}));
/**
 * Block User
 * Extracted from https://dev.twitch.tv/docs/api/reference/#block-user
 */
var BlockUserSourceContext;
(function (BlockUserSourceContext) {
    BlockUserSourceContext["Chat"] = "chat";
    BlockUserSourceContext["Whisper"] = "whisper";
})(BlockUserSourceContext || (exports.BlockUserSourceContext = BlockUserSourceContext = {}));
var BlockUserReason;
(function (BlockUserReason) {
    BlockUserReason["Harassment"] = "harassment";
    BlockUserReason["Spam"] = "spam";
    BlockUserReason["Other"] = "other";
})(BlockUserReason || (exports.BlockUserReason = BlockUserReason = {}));
//# sourceMappingURL=users.js.map